=== debian/changelog ===
aerc (0.15.2-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:04 +1200

aerc (0.15.2-2) unstable; urgency=medium

  * Backport patch to fix deadlock in message channel
    (Closes: #1040907)
  * Simplify d/rules a bit

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Jul 2023 00:00:14 +0530

aerc (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2
  * Update Standards-Version to 4.6.2
  * Enable hardening build flags.

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Jun 2023 15:01:20 +0000
