=== debian/control ===
Source: aerc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Robin Jarry <robin@jarry.cc>,
           Aloïs Micard <creekorful@debian.org>
Section: mail
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               gnupg,
               golang-any (>= 1.18),
               golang-golang-x-tools-dev (>= 0.5.0),
               golang-github-arran4-golang-ical-dev,
               golang-github-danwakefield-fnmatch-dev,
               golang-github-imdario-mergo-dev,
               golang-github-emersion-go-imap-dev (>= 1.2.0~),
               golang-github-emersion-go-imap-sortthread-dev,
               golang-github-emersion-go-maildir-dev,
               golang-github-emersion-go-mbox-dev,
               golang-github-emersion-go-message-dev (>= 0.11.1),
               golang-github-emersion-go-msgauth-dev,
               golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
               golang-github-emersion-go-sasl-dev,
               golang-github-emersion-go-smtp-dev (>= 0.12.1),
               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gatherstars-com-jwz-dev,
               golang-github-go-ini-ini-dev (>= 1.52.0),
               golang-github-google-shlex-dev,
               golang-github-kyoh86-xdg-dev,
               golang-github-lithammer-fuzzysearch-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-miolini-datacounter-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-pkg-errors-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-rivo-uniseg-dev,
               golang-github-riywo-loginshell-dev,
               golang-github-stretchr-testify-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-zenhack-go.notmuch-dev,
               golang-github-xo-terminfo-dev,
               golang-golang-x-oauth2-google-dev,
               golang-sourcehut-rockorager-tcell-term-dev (>= 0.8.0),
               golang-sourcehut-sircmpwn-getopt-dev,
               libnotmuch-dev,
               scdoc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
Homepage: https://aerc-mail.org
Rules-Requires-Root: no
XS-Go-Import-Path: git.sr.ht/~rjarry/aerc

Package: aerc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: dante-client,
            gnupg,
            w3m
Suggests: notmuch
Built-Using: ${misc:Built-Using}
Description: Pretty Good Email Client
 Some of its more interesting features include:
  - Editing emails in an embedded terminal tmux-style, allowing you to check on
    incoming emails and reference other threads while you compose your replies
  - Render HTML emails with an interactive terminal web browser, highlight
    patches with diffs, and browse with an embedded less session
  - Vim-style keybindings and ex-command system, allowing for powerful
    automation at a single keystroke
  - First-class support for working with git & email
  - Open a new tab with a terminal emulator and a shell running for easy access
    to nearby git repos for parallel work
  - Support for multiple accounts, with support for IMAP, Maildir, SMTP, and
    sendmail transfer protocols
  - Asynchronous IMAP support ensures the UI never gets locked up by a flaky
    network, as mutt often does
  - Efficient network usage - aerc only downloads the information which is
    necessary to present the UI, making for a snappy and bandwidth-efficient
    experience 100% free and open source software!
