## aerc 0.17.0

=== debian/changelog ===
aerc (0.17.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 19 Jun 2025 16:57:17 +1000

aerc (0.17.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 11:01:20 +1000

aerc (0.17.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:13:56 +0530

aerc (0.17.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:04:59 +1100

aerc (0.17.0-1build1) noble; urgency=high

  * No change rebuild against libnotmuch5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:48:01 +0100

aerc (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0 (Refresh patch)
    (Closes: #1061505)
  * Update Build-Depends

 -- Nilesh Patra <nilesh@debian.org>  Sat, 24 Feb 2024 19:06:29 +0530

aerc (0.16.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.16.0
  * Drop backported patches
  * Install GNUmakefile instead of Makefile in extra sources
  * Add B-D on golang-sourcehut-rockorager-go-jmap
  * Update minimum version of golang-github-emersion-go-message
    in Build Depends
  * Install contrib/carddav-query as extra source
  * Add patch to fix blhc failure
  * Fix extended description indentation and redundant
    B-D versioning with cme

  [ Robin Jarry ]
  * d/control: remove obsolete build dependencies
  * d/NEWS: mention user facing changes for 0.16
  * Add runtime dependency to python3 for carddav-query
  * Add suggest dependency to python3-vobject for show-ics-details.py

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Dec 2023 10:00:59 +0530
