=== debian/control ===
Source: aerc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Robin Jarry <robin@jarry.cc>,
           Aloïs Micard <creekorful@debian.org>
Section: mail
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               gnupg,
               golang-any,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-github-arran4-golang-ical-dev,
               golang-github-danwakefield-fnmatch-dev,
               golang-github-emersion-go-imap-dev (>= 1.2.0~),
               golang-github-emersion-go-imap-sortthread-dev,
               golang-github-emersion-go-maildir-dev (>= 0.4.1~),
               golang-github-emersion-go-mbox-dev,
               golang-github-emersion-go-message-dev (>= 0.17.0-1~),
               golang-github-emersion-go-msgauth-dev,
               golang-github-emersion-go-pgpmail-dev,
               golang-github-emersion-go-sasl-dev,
               golang-github-emersion-go-smtp-dev (>= 0.12.1),
               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gatherstars-com-jwz-dev,
               golang-github-go-ini-ini-dev (>= 1.52.0),
               golang-github-lithammer-fuzzysearch-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-pkg-errors-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-rivo-uniseg-dev,
               golang-github-riywo-loginshell-dev,
               golang-sourcehut-rjarry-go-opt-dev,
               golang-sourcehut-rockorager-go-jmap-dev,
               golang-github-stretchr-testify-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-xo-terminfo-dev,
               golang-golang-x-oauth2-google-dev,
               golang-sourcehut-rockorager-tcell-term-dev (>= 0.10.0~),
               libnotmuch-dev,
               scdoc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
Homepage: https://aerc-mail.org
Rules-Requires-Root: no
XS-Go-Import-Path: git.sr.ht/~rjarry/aerc

Package: aerc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3
Recommends: dante-client,
            gnupg,
            w3m
Suggests: notmuch,
          python3-vobject
Built-Using: ${misc:Built-Using}
Description: Pretty Good Email Client
 aerc is an email client that runs in your terminal. It's highly efficient and
 extensible, perfect for the discerning hacker. Some of its more interesting
 features include:
 .
  * Editing emails in an embedded terminal tmux-style, allowing you to check on
    incoming emails and reference other threads while you compose your replies
  * Render HTML emails with an interactive terminal web browser, highlight
    patches with diffs, and browse with an embedded less session
  * Vim-style keybindings and ex-command system, allowing for powerful
    automation at a single keystroke
  * First-class support for working with git & email
  * Open a new tab with a terminal emulator and a shell running for easy access
    to nearby git repos for parallel work
  * Support for multiple accounts, with IMAP, Maildir, Notmuch, Mbox and JMAP
    backends. Along with IMAP, JMAP, SMTP, and sendmail transfer protocols.
  * Asynchronous IMAP and JMAP support ensures the UI never gets locked up by
    a flaky network.
  * Efficient network usage - aerc only downloads the information which is
    necessary to present the UI, making for a snappy and bandwidth-efficient
    experience
  * Email threading (with and/or without IMAP server support).
  * PGP signing, encryption and verification using GNUpg.
  * 100% free and open source software!
