## aerc 0.18.2

=== debian/changelog ===
aerc (0.18.2-2) unstable; urgency=medium

  [ Robin Jarry ]
  * d/patches: backport a fix for gpg signed messages encoding
  * d/control: remove obsolete build dep to tcell

  [ Jonathan Dowland ]
  * Move dante-client from Recommends to Suggests

 -- Robin Jarry <robin@jarry.cc>  Mon, 26 Aug 2024 14:02:13 +0200

aerc (0.18.2-1) unstable; urgency=medium

  * [1d86d5a] New upstream version 0.18.2
  * [676751c] Bump Standards-Version to 4.7.0 (no changes needed)
  * [d86920e] Tighten versioned depends on golang-sourcehut-rockorager-vaxis

 -- Nilesh Patra <nilesh@debian.org>  Tue, 30 Jul 2024 12:33:07 +0900

aerc (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * golang-sourcehut-rockorager-vaxis-dev to B-D
  * Tighten B-D on golang-github-emersion-go-smtp-dev

 -- Nilesh Patra <nilesh@debian.org>  Sun, 14 Jul 2024 00:38:32 +0530
