=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: aerc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
            Robin Jarry <robin@jarry.cc>,
            Aloïs Micard <creekorful@debian.org>
@@ -23,8 +22,7 @@
                golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev,
                golang-github-emersion-go-sasl-dev,
-               golang-github-emersion-go-smtp-dev (>= 0.12.1),
-               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
+               golang-github-emersion-go-smtp-dev (>= 0.21.2-1~),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
@@ -39,12 +37,11 @@
                golang-sourcehut-rockorager-go-jmap-dev,
                golang-github-stretchr-testify-dev,
                golang-github-syndtr-goleveldb-dev,
-               golang-github-xo-terminfo-dev,
                golang-golang-x-oauth2-google-dev,
-               golang-sourcehut-rockorager-tcell-term-dev (>= 0.10.0~),
+               golang-sourcehut-rockorager-vaxis-dev (>= 0.10.3-1~),
                libnotmuch-dev,
                scdoc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
@@ -56,10 +53,10 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3
-Recommends: dante-client,
-            gnupg,
+Recommends: gnupg,
             w3m
-Suggests: notmuch,
+Suggests: dante-client,
+          notmuch,
           python3-vobject
 Built-Using: ${misc:Built-Using}
 Description: Pretty Good Email Client
