## aerc 0.19.0

=== debian/changelog ===
aerc (0.19.0-1) unstable; urgency=medium

  * Update upstream signing key
  * New upstream version 0.19.0
  * Remove upstreamed patch
  * Bump go-opt dependency version
  * Update binary dependencies

 -- Robin Jarry <robin@jarry.cc>  Sun, 19 Jan 2025 00:20:51 +0100
