=== debian/changelog ===
aerc (0.20.0-2) unstable; urgency=medium

  * Add patch to fix temp file creation

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 May 2025 23:09:24 +0530

aerc (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0

 -- Robin Jarry <robin@jarry.cc>  Sat, 25 Jan 2025 21:59:25 +0100
