=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag" \
https://git.sr.ht/~rjarry/aerc \
refs/tags/(\d[\d\.]+)
