## aerc 0.20.1

=== debian/changelog ===
aerc (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
  * Add patch to use SOURCE_DATE_EPOCH for date

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Aug 2025 19:32:12 +0530
