## aerc 0.21.0

=== debian/changelog ===
aerc (0.21.0-2) unstable; urgency=medium

  * Tighten B-D on golang-github-emersion-go-smtp (Closes: #1120349)
  * Backport upstream patch to add "Reply-To" to autocompletion
    (Closes: #1042578)
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * d/watch: move to version 5

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 Feb 2026 22:42:30 +0530

aerc (0.21.0-1) unstable; urgency=medium

  * Update d/gbp.conf to add fields for upstream-branch and signatures
  * New upstream version 0.21.0
  * Drop following patches fixed upstream
    - use-source-date-epoch.patch
    - fix-temp-file-creation.patch
  * Tighten B-D on golang-github-emersion-go-maildir-dev
  * Drop redundant "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Oct 2025 21:32:53 +0530
