=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
                golang-github-danwakefield-fnmatch-dev,
                golang-github-emersion-go-imap-dev (>= 1.2.0~),
                golang-github-emersion-go-imap-sortthread-dev,
-               golang-github-emersion-go-maildir-dev (>= 0.4.1~),
+               golang-github-emersion-go-maildir-dev (>= 0.6.0~),
                golang-github-emersion-go-mbox-dev,
                golang-github-emersion-go-message-dev (>= 0.17.0-1~),
                golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev,
                golang-github-emersion-go-sasl-dev,
-               golang-github-emersion-go-smtp-dev (>= 0.21.2-1~),
+               golang-github-emersion-go-smtp-dev (>= 0.24.0-1~),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
@@ -33,7 +33,7 @@
                golang-github-protonmail-go-crypto-dev,
                golang-github-rivo-uniseg-dev,
                golang-github-riywo-loginshell-dev,
-               golang-sourcehut-rjarry-go-opt-dev,
+               golang-sourcehut-rjarry-go-opt-dev (>= 2.0.1-1~),
                golang-sourcehut-rockorager-go-jmap-dev,
                golang-github-stretchr-testify-dev,
                golang-github-syndtr-goleveldb-dev,
@@ -41,23 +41,22 @@
                golang-sourcehut-rockorager-vaxis-dev (>= 0.10.3-1~),
                libnotmuch-dev,
                scdoc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
-Rules-Requires-Root: no
 XS-Go-Import-Path: git.sr.ht/~rjarry/aerc
 
 Package: aerc
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         python3
-Recommends: gnupg,
-            w3m
-Suggests: dante-client,
-          notmuch,
-          python3-vobject
+         python3,
+         w3m,
+Recommends: gnupg2,
+            util-linux (>= 2.17~),
+Suggests: notmuch,
+          python3-vobject,
 Built-Using: ${misc:Built-Using}
 Description: Pretty Good Email Client
  aerc is an email client that runs in your terminal. It's highly efficient and
