=== debian/watch ===
Version: 5

Gitmode: full
Mode: git
Pgpmode: gittag
Matching-Pattern: refs/tags/v?(\d.+)
Source: https://git.sr.ht/~rjarry/aerc
